#include "GLNormalRenderer.h"
#include "GLNormalRendererGeometry3DVisitor.h"
#include "GLNormalRendererGroupingVisitor.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace GL {

NormalRenderer::NormalRenderer()
{
  dfs = new DefaultDFS();
  
  globalVariables = GVManager::getInstanceOf<NormalRendererGlobalVariables>();
  
  dfs->setComponentVisitor(new NormalRendererGeometry3DVisitor());
  dfs->setComponentVisitor(new NormalRendererGroupingVisitor());
}

NormalRenderer::~NormalRenderer()
{
  delete dfs;
}

void NormalRenderer::setNormalLength(float value)
{
  globalVariables->setNormalLength(value);
}

void NormalRenderer::setComponentVisitor(X3DComponentVisitor *component)
{
  dfs->setComponentVisitor(component);
} 

void NormalRenderer::render(SFNode N) const
{
  glDisable(GL_COLOR_MATERIAL);
  dfs->traverse(N);
}

}
}
