#include "GLNormalRendererGroupingVisitor.h"

namespace X3DTK {
namespace GL {

NormalRendererGroupingVisitor::NormalRendererGroupingVisitor()
: GroupingVisitor()
{
  // Enter functions.
  defineNewEnterFunction<NormalRendererGroupingVisitor, Transform>(&NormalRendererGroupingVisitor::enterTransform);

  // Leave functions
  defineNewLeaveFunction<NormalRendererGroupingVisitor, Transform>(&NormalRendererGroupingVisitor::leaveTransform);
}

NormalRendererGroupingVisitor::~NormalRendererGroupingVisitor()
{
}

void NormalRendererGroupingVisitor::enterTransform(Transform *T) const
{
  glMatrixMode(GL_MODELVIEW);
  glPushMatrix();
  glMultMatrixf(&T->getTransformMatrix().front());
}

void NormalRendererGroupingVisitor::leaveTransform(Transform *T) const
{
  glMatrixMode(GL_MODELVIEW);
  glPopMatrix();  
}

}
}
