/// This file is part of the X3DToolKit library
/// Copyright (C) 2002-2003  Yannick Le Goc (legoc@imag.fr)

/// http://www-imagis.imag.fr/Membres/Yannick.Legoc/X3D/


/// X3DToolKit is free software; you can redistribute it and/or modify
/// it under the terms of the GNU General Public License as published by
/// the Free Software Foundation; either version 2 of the License, or
/// (at your option) any later version.

/// X3DToolKit is distributed in the hope that it will be useful,
/// but WITHOUT ANY WARRANTY; without even the implied warranty of
/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/// GNU General Public License for more details.

/// You should have received a copy of the GNU General Public License
/// along with X3DToolKit; if not, write to the Free Software
/// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
////////////////////////////////////////////////////////////////////////////////
//                            GLBuilderShapeVisitor.h                         //
////////////////////////////////////////////////////////////////////////////////

#ifndef GLBUILDERSHAPEVISITOR_H
#define GLBUILDERSHAPEVISITOR_H

#include "ShapeVisitor.h"
#include "GLBuilderGlobalVariables.h"

namespace X3DTK {
namespace X3D {

class Appearance;
class FillProperties;
class LineProperties;
class Material;
class Shape;

/// Visitor for the Shape component of the GLBuilder module.

class GLBuilderShapeVisitor : public ShapeVisitor
{
public:
  /// Constructor.
  GLBuilderShapeVisitor();
  /// Destructor.
  virtual ~GLBuilderShapeVisitor();

  /// Enters a Appearance.
  virtual void enterAppearance(Appearance *A) const;
  /// Enters a FillProperties.
  virtual void enterFillProperties(FillProperties *F) const;
  /// Enters a LineProperties.
  virtual void enterLineProperties(LineProperties *L) const;
  /// Enters a Material.
  virtual void enterMaterial(Material *M) const;
  /// Enters a Shape.
  virtual void enterShape(Shape *S) const;

protected:
  GLBuilderGlobalVariables *globalVariables;
};

}
}

#endif
