/// This file is part of the X3DToolKit library
/// Copyright (C) 2002-2003  Yannick Le Goc (legoc@imag.fr)

/// http://www-imagis.imag.fr/Membres/Yannick.Legoc/X3D/


/// X3DToolKit is free software; you can redistribute it and/or modify
/// it under the terms of the GNU General Public License as published by
/// the Free Software Foundation; either version 2 of the License, or
/// (at your option) any later version.

/// X3DToolKit is distributed in the hope that it will be useful,
/// but WITHOUT ANY WARRANTY; without even the implied warranty of
/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/// GNU General Public License for more details.

/// You should have received a copy of the GNU General Public License
/// along with X3DToolKit; if not, write to the Free Software
/// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
////////////////////////////////////////////////////////////////////////////////
//                            MeshAlgoFunctions.h                             //
////////////////////////////////////////////////////////////////////////////////

#ifndef MESHALGOFUNCTIONS_H
#define MESHALGOFUNCTIONS_H

namespace X3DTK {
namespace Mesh {

/// Start function of the algorithm of building the mesh structure. This method has to
/// be specialized for a particular Mesh.

template<class T, class M>
void start(T *, M *) {};

/// Processes a new face.
template<class T, class F, class M>
void processNewFace(T *, F *, M *) {};

/// End function of the algorithm of building the mesh structure. This method has to
/// be specialized for a particular Mesh.

template<class T, class M>
void end(T *, M *) {};

}
}

#endif
