/// This file is part of the X3DToolKit library
/// Copyright (C) 2002-2003  Yannick Le Goc (legoc@imag.fr)

/// http://www-imagis.imag.fr/Membres/Yannick.Legoc/X3D/


/// X3DToolKit is free software; you can redistribute it and/or modify
/// it under the terms of the GNU General Public License as published by
/// the Free Software Foundation; either version 2 of the License, or
/// (at your option) any later version.

/// X3DToolKit is distributed in the hope that it will be useful,
/// but WITHOUT ANY WARRANTY; without even the implied warranty of
/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/// GNU General Public License for more details.

/// You should have received a copy of the GNU General Public License
/// along with X3DToolKit; if not, write to the Free Software
/// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
////////////////////////////////////////////////////////////////////////////////
//                            DefaultInterpolationCreator.h                   //
////////////////////////////////////////////////////////////////////////////////

#ifndef DEFAULTINTERPOLATIONCREATOR_H
#define DEFAULTINTERPOLATIONCREATOR_H

#include "InterpolationCreator.h"

namespace X3DTK {
namespace X3D {

/// Concrete component Creator for the Interpolator component defining the default 
/// X3D nodes.

class DefaultInterpolationCreator : public InterpolationCreator
{
public:
  /// Constructor.
  DefaultInterpolationCreator();
  /// Destructor.
  virtual ~DefaultInterpolationCreator();
  
  /// Creates a ColorInterpolator.
  SFNode createColorInterpolator() const;
  /// Creates a CoordinateInterpolator.
  SFNode createCoordinateInterpolator() const;
  /// Creates a CoordinateInterpolator2D.
  SFNode createCoordinateInterpolator2D() const;
  /// Creates a NormalInterpolator.
  SFNode createNormalInterpolator() const;
  /// Creates a OrientationInterpolator.
  SFNode createOrientationInterpolator() const;
  /// Creates a PositionInterpolator.
  SFNode createPositionInterpolator() const;
  /// Creates a PositionInterpolator2D.
  SFNode createPositionInterpolator2D() const;
  /// Creates a ScalarInterpolator.
  SFNode createScalarInterpolator() const;
};

}
}

#endif
