#include "DefaultNodeCreationProxy.h"
#include "DefaultCoreCreator.h"
#include "DefaultGeometry3DCreator.h"
#include "DefaultGroupingCreator.h"
#include "DefaultRenderingCreator.h"
#include "DefaultShapeCreator.h"
#include "DefaultTexturingCreator.h"
#include "DefaultInterpolationCreator.h"
#include "DefaultLightingCreator.h"
#include "DefaultNURBSCreator.h"

#include <iostream>

using namespace std;

namespace X3DTK {

DefaultNodeCreationProxy::DefaultNodeCreationProxy()
: NodeCreationProxy()
{
  setComponentCreator(new X3D::DefaultCoreCreator());  
  setComponentCreator(new X3D::DefaultGeometry3DCreator());  
  setComponentCreator(new X3D::DefaultGroupingCreator());  
  setComponentCreator(new X3D::DefaultRenderingCreator());  
  setComponentCreator(new X3D::DefaultShapeCreator());  
  setComponentCreator(new X3D::DefaultTexturingCreator());  
  setComponentCreator(new X3D::DefaultInterpolationCreator());
  setComponentCreator(new X3D::DefaultLightingCreator());
  setComponentCreator(new X3D::DefaultNURBSCreator());
}

DefaultNodeCreationProxy::~DefaultNodeCreationProxy()
{
}

}
