#include "MemReleaser.h"
#include "DefaultDFS.h"
#include "GLDefaultDFS.h"
#include "MemReleaserAbstractVisitor.h"

#include <iostream>

using namespace std;

namespace X3DTK {

MemReleaser::MemReleaser(X3DTTAlgorithm *algo)
: X3DMemReleaser()
{
  globalVariables = GVManager::getInstanceOf<MemReleaserGlobalVariables>();
  if (algo == 0)
  {
    dfs = mergeTTAlgorithms(new X3D::DefaultDFS(), new GL::DefaultDFS());
    //dfs = new X3D::DefaultDFS();
    defaultDFSUSE = true;
  }  
  else
  {
    dfs = algo;
    defaultDFSUSE = false;
  }
  
//  cout << "dfs = " << (void *)dfs << endl;
  dfs->setComponentVisitor(new MemReleaserAbstractVisitor());
}

MemReleaser::~MemReleaser()
{
  if (defaultDFSUSE)
    delete dfs;
}

void MemReleaser::setComponentVisitor(X3DComponentVisitor *component)
{
  dfs->setComponentVisitor(component);
}
  
void MemReleaser::release(SFAbstractNode N) const
{
  globalVariables->init();
  dfs->traverse(N);
  globalVariables->finish();
}

}
