#include "GLDefaultDFS.h"
#include "GLDefaultDFSCoreWalker.h"
#include "GLDefaultDFSGeometry3DWalker.h"
#include "GLDefaultDFSGroupingWalker.h"
#include "GLDefaultDFSRenderingWalker.h"
#include "GLDefaultDFSShapeWalker.h"
#include "GLDefaultDFSTexturingWalker.h"

#include <iostream>

namespace X3DTK {
namespace GL {

DefaultDFS::DefaultDFS()
: DFS()
{
  setComponentWalker(new DefaultDFSCoreWalker());
  setComponentWalker(new DefaultDFSGeometry3DWalker());
  setComponentWalker(new DefaultDFSGroupingWalker());
  setComponentWalker(new DefaultDFSRenderingWalker());
  setComponentWalker(new DefaultDFSShapeWalker());
  setComponentWalker(new DefaultDFSTexturingWalker());
}

DefaultDFS::~DefaultDFS()
{
}

void DefaultDFS::setComponentWalker(X3DComponentWalker *component)
{
  DFS::setComponentWalker(component);
}

}
}
