#include "X3DGLComposedGeometryNode.h"

namespace X3DTK {
namespace GL {

X3DComposedGeometryNode::X3DComposedGeometryNode()
: X3DGeometry3DNode(), _ccw(true), _solid(false), _verticesDuplicated(false), _color(false), _texCoord(false)
{
  defineTypeName("X3DComposedGeometryNode", "GLRendering");
}

X3DComposedGeometryNode::X3DComposedGeometryNode(const X3DComposedGeometryNode &N)
: X3DGeometry3DNode(N), _ccw(N._ccw), _solid(N._solid), _verticesDuplicated(N._verticesDuplicated), _color(N._color), _texCoord(N._texCoord)
{
}

SFNode X3DComposedGeometryNode::clone() const
{
  return 0;
}

X3DComposedGeometryNode::~X3DComposedGeometryNode()
{
}

void X3DComposedGeometryNode::setCcw(SFBool ccw)
{
  _ccw = ccw;
}

void X3DComposedGeometryNode::setSolid(SFBool solid)
{
  _solid = solid;
}

void X3DComposedGeometryNode::setVerticesDuplicated(SFBool verticesDuplicated)
{
  _verticesDuplicated = verticesDuplicated;
}

void X3DComposedGeometryNode::setColor(SFBool color)
{
  _color = color;
}

void X3DComposedGeometryNode::setTexCoord(SFBool texCoord)
{
  _texCoord = texCoord;
}

void X3DComposedGeometryNode::setNormalPerVertex(SFBool normalPerVertex)
{
  _normalPerVertex = normalPerVertex;
}

void X3DComposedGeometryNode::setVertexFormat(GLenum format)
{
  _format = format;
}

}
}
