#include "Scene.h"
#include "X3DChildNode.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

Scene::Scene()
: X3DGroupingNode(), X3DBoundedObject()
{
  defineTypeName("Scene", "Core");
}

Scene::Scene(const Scene &S)
: X3DGroupingNode(S), X3DBoundedObject(S)
{
}

SFNode Scene::clone() const
{
  return new Scene(*this);
}

Scene::~Scene()
{
}

void Scene::setFileName(const SFString &file)
{
  _fileName = file;
}

void Scene::load(const X3DFileElement *element)
{
  X3DGroupingNode::load(element);
  X3DBoundedObject::load(element); 
}

SFString Scene::write() const
{
  return X3DGroupingNode::write() + X3DBoundedObject::write();
}

}
}
