#include "X3DTexture2DNode.h"

namespace X3DTK {
namespace X3D {

X3DTexture2DNode::X3DTexture2DNode()
: X3DTextureNode(), _repeatS(true), _repeatT(true)
{
  defineTypeName("X3DTexture2DNode", "Texturing");
}

X3DTexture2DNode::X3DTexture2DNode(const X3DTexture2DNode &N)
: X3DTextureNode(N), _repeatS(N._repeatS), _repeatT(N._repeatT)
{
}

SFNode X3DTexture2DNode::clone() const
{
  return 0;
}

X3DTexture2DNode::~X3DTexture2DNode()
{
}

void X3DTexture2DNode::setRepeatS(SFBool repeatS)
{
  _repeatS = repeatS;
}

void X3DTexture2DNode::setRepeatT(SFBool repeatT)
{
  _repeatT = repeatT;
}

void X3DTexture2DNode::load(const X3DFileElement *element)
{
  int index;
  index = element->getIndexAttribute("repeatS");
  if (index != -1)
    _repeatS = (element->getAttribute(index).upper() == "TRUE");  
  
  index = element->getIndexAttribute("repeatT");
  if (index != -1)
    _repeatT = (element->getAttribute(index).upper() == "TRUE");    
}

SFString X3DTexture2DNode::write() const
{
  SFString attr;
  if (!_repeatS)
    attr += " repeatS=\"FALSE\"";
  if (!_repeatT)
    attr += " repeatT=\"FALSE\"";
    
  return attr;
}

}
}
