#include "GLBuilderCoreVisitor.h"
#include "Scene.h"
#include "X3DNode.h"
#include "GLScene.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

GLBuilderCoreVisitor::GLBuilderCoreVisitor()
: CoreVisitor()
{
  // Enter functions.
  defineNewEnterFunction<GLBuilderCoreVisitor, Scene>(&GLBuilderCoreVisitor::enterScene);
  defineNewEnterFunction<GLBuilderCoreVisitor, X3DNode>(&GLBuilderCoreVisitor::enterX3DNode);
  // Leave functions.
  defineNewLeaveFunction<GLBuilderCoreVisitor, X3DNode>(&GLBuilderCoreVisitor::leaveX3DNode);

  // GlobalVariables assignation.
  globalVariables = GVManager::getInstanceOf<GLBuilderGlobalVariables>();
}

GLBuilderCoreVisitor::~GLBuilderCoreVisitor()
{
}

void GLBuilderCoreVisitor::enterScene(Scene *S) const
{
  GL::Scene *GS = new GL::Scene();
  GS->setX3DReference(S);
  globalVariables->pushNode(GS);
}

void GLBuilderCoreVisitor::enterX3DNode(X3DNode *N) const
{
  cerr << N->getTypeName() << " has no GL creation method!" << endl;
  globalVariables->pushNode(0);
}

void GLBuilderCoreVisitor::leaveX3DNode(X3DNode *N) const
{
  globalVariables->getTop()->update();
  globalVariables->popNode();
}

}
}
