#include "GLBuilderTexturingVisitor.h"
#include "ImageTexture.h"
#include "GLImageTexture.h"

namespace X3DTK {
namespace X3D {

GLBuilderTexturingVisitor::GLBuilderTexturingVisitor()
: TexturingVisitor()
{
  // Enter functions.
  defineNewEnterFunction<GLBuilderTexturingVisitor, ImageTexture>(&GLBuilderTexturingVisitor::enterImageTexture);

  // GlobalVariables assignation.
  globalVariables = GVManager::getInstanceOf<GLBuilderGlobalVariables>();
}

GLBuilderTexturingVisitor::~GLBuilderTexturingVisitor()
{
}

void GLBuilderTexturingVisitor::enterImageTexture(ImageTexture *I) const
{
  GL::ImageTexture *GI = new GL::ImageTexture();
  GI->setX3DReference(I);
  globalVariables->getTop()->addChild(GI);
  globalVariables->pushNode(GI);
}

}
}
