#include "WorldCoordTranslator.h"
#include "DefaultDFS.h"
#include "WorldCoordTranslatorGroupingVisitor.h"
#include "WorldCoordTranslatorRenderingVisitor.h"
#include "X3DNode.h"

namespace X3DTK {
namespace X3D {

WorldCoordTranslator::WorldCoordTranslator()
: X3DTTAlgorithm()
{
  globalVariables = GVManager::getInstanceOf<WorldCoordTranslatorGlobalVariables>();
    
  dfs = new DefaultDFS();
  dfs->setComponentVisitor(new WorldCoordTranslatorGroupingVisitor());
  dfs->setComponentVisitor(new WorldCoordTranslatorRenderingVisitor());
}

WorldCoordTranslator::~WorldCoordTranslator()
{
  delete dfs;
}

void WorldCoordTranslator::setComponentVisitor(X3DComponentVisitor *component)
{
  dfs->setComponentVisitor(component);
}

void WorldCoordTranslator::translate(SFNode N)
{
  globalVariables->init();
  dfs->traverse(N);
  globalVariables->finish();
}

}
}
