TEMPLATE = X3DToolKit.t
TARGET = X3DTK
CONFIG -= qt
CONFIG *= opengl
VERSION = 0.3.2

DESTDIR  = ../lib
OBJECTS_DIR = ../obj

INCLUDEPATH += ../include/X3DTK
INCLUDEPATH += ../include/X3DTK/private

HEADERS += kernel/Component/AbstractCreator.h
HEADERS += kernel/Component/AbstractVisitor.h
HEADERS += kernel/Component/AbstractWalker.h
HEADERS += kernel/Component/CoreCreator.h
HEADERS += kernel/Component/CoreVisitor.h
HEADERS += kernel/Component/CoreWalker.h
HEADERS += kernel/Component/DefaultCoreCreator.h
HEADERS += kernel/Component/DefaultGeometry3DCreator.h
HEADERS += kernel/Component/DefaultGroupingCreator.h
HEADERS += kernel/Component/DefaultInterpolationCreator.h
HEADERS += kernel/Component/DefaultLightingCreator.h
HEADERS += kernel/Component/DefaultNURBSCreator.h
HEADERS += kernel/Component/DefaultNodeCreationProxy.h
HEADERS += kernel/Component/DefaultRenderingCreator.h
HEADERS += kernel/Component/DefaultShapeCreator.h
HEADERS += kernel/Component/DefaultTexturingCreator.h
HEADERS += kernel/Component/Geometry3DCreator.h
HEADERS += kernel/Component/Geometry3DVisitor.h
HEADERS += kernel/Component/Geometry3DWalker.h
HEADERS += kernel/Component/GroupingCreator.h
HEADERS += kernel/Component/GroupingVisitor.h
HEADERS += kernel/Component/GroupingWalker.h
HEADERS += kernel/Component/InterpolationCreator.h
HEADERS += kernel/Component/InterpolationVisitor.h
HEADERS += kernel/Component/InterpolationWalker.h
HEADERS += kernel/Component/LightingCreator.h
HEADERS += kernel/Component/LightingVisitor.h
HEADERS += kernel/Component/LightingWalker.h
HEADERS += kernel/Component/NURBSCreator.h
HEADERS += kernel/Component/NURBSVisitor.h
HEADERS += kernel/Component/NURBSWalker.h
HEADERS += kernel/Component/RenderingCreator.h
HEADERS += kernel/Component/RenderingVisitor.h
HEADERS += kernel/Component/RenderingWalker.h
HEADERS += kernel/Component/ShapeCreator.h
HEADERS += kernel/Component/ShapeVisitor.h
HEADERS += kernel/Component/ShapeWalker.h
HEADERS += kernel/Component/TexturingCreator.h
HEADERS += kernel/Component/TexturingVisitor.h
HEADERS += kernel/Component/TexturingWalker.h
HEADERS += kernel/FileValidator/FileValidator.h
HEADERS += kernel/FileValidator/FileValidatorGeometry3DVisitor.h
HEADERS += kernel/FileValidator/FileValidatorGlobalVariables.h
HEADERS += kernel/GLComponent/GLCoreVisitor.h
HEADERS += kernel/GLComponent/GLCoreWalker.h
HEADERS += kernel/GLComponent/GLGeometry3DVisitor.h
HEADERS += kernel/GLComponent/GLGeometry3DWalker.h
HEADERS += kernel/GLComponent/GLGroupingVisitor.h
HEADERS += kernel/GLComponent/GLGroupingWalker.h
HEADERS += kernel/GLComponent/GLRenderingVisitor.h
HEADERS += kernel/GLComponent/GLRenderingWalker.h
HEADERS += kernel/GLComponent/GLShapeVisitor.h
HEADERS += kernel/GLComponent/GLShapeWalker.h
HEADERS += kernel/GLComponent/GLTexturingVisitor.h
HEADERS += kernel/GLComponent/GLTexturingWalker.h
HEADERS += kernel/Image/Image.h
HEADERS += kernel/Image/JPGImageType.h
HEADERS += kernel/Image/X3DImageType.h
HEADERS += kernel/Loader/DefaultLoader.h
HEADERS += kernel/Loader/X3DLoader.h
HEADERS += kernel/Loader/XercesLoader.h
HEADERS += kernel/MemReleaser/MemReleaser.h
HEADERS += kernel/MemReleaser/MemReleaserAbstractVisitor.h
HEADERS += kernel/MemReleaser/MemReleaserGlobalVariables.h
HEADERS += kernel/NodeProxy/CreationFunction.h
HEADERS += kernel/NodeProxy/EnterFunction.h
HEADERS += kernel/NodeProxy/LeaveFunction.h
HEADERS += kernel/NodeProxy/NodeCreationProxy.h
HEADERS += kernel/NodeProxy/NodeVisitingProxy.h
HEADERS += kernel/NodeProxy/NodeWalkingProxy.h
HEADERS += kernel/NodeProxy/Type/Component.h
HEADERS += kernel/NodeProxy/Type/Type.h
HEADERS += kernel/NodeProxy/VisitingFunctions.h
HEADERS += kernel/NodeProxy/WalkOnFunction.h
HEADERS += kernel/NodeProxy/WalkingFunction.h
HEADERS += kernel/NodeProxy/X3DAbstractNode/NameDict.h
HEADERS += kernel/NodeProxy/X3DAbstractNode/X3DAbstractNode.h
HEADERS += kernel/NodeProxy/X3DActiveFunction.h
HEADERS += kernel/NodeProxy/X3DComponent/X3DComponent.h
HEADERS += kernel/NodeProxy/X3DComponent/X3DComponentCreator.h
HEADERS += kernel/NodeProxy/X3DComponent/X3DComponentVisitor.h
HEADERS += kernel/NodeProxy/X3DComponent/X3DComponentWalker.h
HEADERS += kernel/NodeProxy/X3DFunction.h
HEADERS += kernel/NodeProxy/X3DNodeProxy.h
HEADERS += kernel/TTAlgorithm/DFS.h
HEADERS += kernel/TTAlgorithm/DFSCoreWalker.h
HEADERS += kernel/TTAlgorithm/DFSGeometry3DWalker.h
HEADERS += kernel/TTAlgorithm/DFSGroupingWalker.h
HEADERS += kernel/TTAlgorithm/DFSInterpolationWalker.h
HEADERS += kernel/TTAlgorithm/DFSLightingWalker.h
HEADERS += kernel/TTAlgorithm/DFSNURBSWalker.h
HEADERS += kernel/TTAlgorithm/DFSRenderingWalker.h
HEADERS += kernel/TTAlgorithm/DFSShapeWalker.h
HEADERS += kernel/TTAlgorithm/DFSTexturingWalker.h
HEADERS += kernel/TTAlgorithm/DefaultDFS.h
HEADERS += kernel/TTAlgorithm/DefaultDFSCoreWalker.h
HEADERS += kernel/TTAlgorithm/DefaultDFSGeometry3DWalker.h
HEADERS += kernel/TTAlgorithm/DefaultDFSGroupingWalker.h
HEADERS += kernel/TTAlgorithm/DefaultDFSInterpolationWalker.h
HEADERS += kernel/TTAlgorithm/DefaultDFSLightingWalker.h
HEADERS += kernel/TTAlgorithm/DefaultDFSNURBSWalker.h
HEADERS += kernel/TTAlgorithm/DefaultDFSRenderingWalker.h
HEADERS += kernel/TTAlgorithm/DefaultDFSShapeWalker.h
HEADERS += kernel/TTAlgorithm/DefaultDFSTexturingWalker.h
HEADERS += kernel/TTAlgorithm/DefaultX3DProcessors/X3DBboxUpdater.h
HEADERS += kernel/TTAlgorithm/DefaultX3DProcessors/X3DFileValidator.h
HEADERS += kernel/TTAlgorithm/DefaultX3DProcessors/X3DGLBuilder.h
HEADERS += kernel/TTAlgorithm/DefaultX3DProcessors/X3DGLRenderer.h
HEADERS += kernel/TTAlgorithm/DefaultX3DProcessors/X3DGLUpdater.h
HEADERS += kernel/TTAlgorithm/DefaultX3DProcessors/X3DMemReleaser.h
HEADERS += kernel/TTAlgorithm/DefaultX3DProcessors/X3DSceneSaver.h
HEADERS += kernel/TTAlgorithm/GLDFS.h
HEADERS += kernel/TTAlgorithm/GLDFSCoreWalker.h
HEADERS += kernel/TTAlgorithm/GLDFSGeometry3DWalker.h
HEADERS += kernel/TTAlgorithm/GLDFSGroupingWalker.h
HEADERS += kernel/TTAlgorithm/GLDFSRenderingWalker.h
HEADERS += kernel/TTAlgorithm/GLDFSShapeWalker.h
HEADERS += kernel/TTAlgorithm/GLDFSTexturingWalker.h
HEADERS += kernel/TTAlgorithm/GLDefaultDFS.h
HEADERS += kernel/TTAlgorithm/GLDefaultDFSCoreWalker.h
HEADERS += kernel/TTAlgorithm/GLDefaultDFSGeometry3DWalker.h
HEADERS += kernel/TTAlgorithm/GLDefaultDFSGroupingWalker.h
HEADERS += kernel/TTAlgorithm/GLDefaultDFSRenderingWalker.h
HEADERS += kernel/TTAlgorithm/GLDefaultDFSShapeWalker.h
HEADERS += kernel/TTAlgorithm/GLDefaultDFSTexturingWalker.h
HEADERS += kernel/TTAlgorithm/GVManager.h
HEADERS += kernel/TTAlgorithm/GlobalVariables.h
HEADERS += kernel/TTAlgorithm/X3DOnePassProcessor.h
HEADERS += kernel/TTAlgorithm/X3DProcessor.h
HEADERS += kernel/TTAlgorithm/X3DTTAlgorithm.h
HEADERS += kernel/X3DGLNodes/GLCore/GLScene.h
HEADERS += kernel/X3DGLNodes/GLCore/X3DGLNode.h
HEADERS += kernel/X3DGLNodes/GLGeometry3D/BoxDrawArray.h
HEADERS += kernel/X3DGLNodes/GLGeometry3D/ConeDrawArray.h
HEADERS += kernel/X3DGLNodes/GLGeometry3D/CylinderDrawArray.h
HEADERS += kernel/X3DGLNodes/GLGeometry3D/GLBox.h
HEADERS += kernel/X3DGLNodes/GLGeometry3D/GLCone.h
HEADERS += kernel/X3DGLNodes/GLGeometry3D/GLCylinder.h
HEADERS += kernel/X3DGLNodes/GLGeometry3D/GLIndexedFaceSet.h
HEADERS += kernel/X3DGLNodes/GLGeometry3D/GLSphere.h
HEADERS += kernel/X3DGLNodes/GLGeometry3D/SphereDrawArray.h
HEADERS += kernel/X3DGLNodes/GLGrouping/GLGroup.h
HEADERS += kernel/X3DGLNodes/GLGrouping/GLStaticGroup.h
HEADERS += kernel/X3DGLNodes/GLGrouping/GLTransform.h
HEADERS += kernel/X3DGLNodes/GLGrouping/X3DGLChildNode.h
HEADERS += kernel/X3DGLNodes/GLGrouping/X3DGLGroupingNode.h
HEADERS += kernel/X3DGLNodes/GLRendering/GLIndexedLineSet.h
HEADERS += kernel/X3DGLNodes/GLRendering/GLPointSet.h
HEADERS += kernel/X3DGLNodes/GLRendering/GLTriangleFanSet.h
HEADERS += kernel/X3DGLNodes/GLRendering/GLTriangleSet.h
HEADERS += kernel/X3DGLNodes/GLRendering/GLTriangleStripSet.h
HEADERS += kernel/X3DGLNodes/GLRendering/X3DGLComposedGeometryNode.h
HEADERS += kernel/X3DGLNodes/GLRendering/X3DGLGeometry3DNode.h
HEADERS += kernel/X3DGLNodes/GLRendering/X3DGLGeometryNode.h
HEADERS += kernel/X3DGLNodes/GLShape/GLAppearance.h
HEADERS += kernel/X3DGLNodes/GLShape/GLFillProperties.h
HEADERS += kernel/X3DGLNodes/GLShape/GLLineProperties.h
HEADERS += kernel/X3DGLNodes/GLShape/GLMaterial.h
HEADERS += kernel/X3DGLNodes/GLShape/GLShape.h
HEADERS += kernel/X3DGLNodes/GLShape/X3DGLAppearanceChildNode.h
HEADERS += kernel/X3DGLNodes/GLShape/X3DGLAppearanceNode.h
HEADERS += kernel/X3DGLNodes/GLShape/X3DGLMaterialNode.h
HEADERS += kernel/X3DGLNodes/GLShape/X3DGLShapeNode.h
HEADERS += kernel/X3DGLNodes/GLTexturing/GLImageTexture.h
HEADERS += kernel/X3DGLNodes/GLTexturing/X3DGLTexture2DNode.h
HEADERS += kernel/X3DGLNodes/GLTexturing/X3DGLTextureNode.h
HEADERS += kernel/X3DGLNodes/GLTexturing/X3DGLTextureTransformNode.h
HEADERS += kernel/X3DNodes/Core/Scene.h
HEADERS += kernel/X3DNodes/Core/X3DNode.h
HEADERS += kernel/X3DNodes/Core/X3DObject.h
HEADERS += kernel/X3DNodes/FileElement/X3DFileElement.h
HEADERS += kernel/X3DNodes/FileElement/XercesFileElement.h
HEADERS += kernel/X3DNodes/Geometry3D/Box.h
HEADERS += kernel/X3DNodes/Geometry3D/Cone.h
HEADERS += kernel/X3DNodes/Geometry3D/Cylinder.h
HEADERS += kernel/X3DNodes/Geometry3D/IndexedFaceSet.h
HEADERS += kernel/X3DNodes/Geometry3D/Sphere.h
HEADERS += kernel/X3DNodes/Grouping/Group.h
HEADERS += kernel/X3DNodes/Grouping/StaticGroup.h
HEADERS += kernel/X3DNodes/Grouping/Transform.h
HEADERS += kernel/X3DNodes/Grouping/X3DBoundedObject.h
HEADERS += kernel/X3DNodes/Grouping/X3DChildNode.h
HEADERS += kernel/X3DNodes/Grouping/X3DGroupingNode.h
HEADERS += kernel/X3DNodes/Interpolation/ColorInterpolator.h
HEADERS += kernel/X3DNodes/Interpolation/CoordinateInterpolator.h
HEADERS += kernel/X3DNodes/Interpolation/CoordinateInterpolator2D.h
HEADERS += kernel/X3DNodes/Interpolation/NormalInterpolator.h
HEADERS += kernel/X3DNodes/Interpolation/OrientationInterpolator.h
HEADERS += kernel/X3DNodes/Interpolation/PositionInterpolator.h
HEADERS += kernel/X3DNodes/Interpolation/PositionInterpolator2D.h
HEADERS += kernel/X3DNodes/Interpolation/ScalarInterpolator.h
HEADERS += kernel/X3DNodes/Interpolation/X3DInterpolatorNode.h
HEADERS += kernel/X3DNodes/Lighting/DirectionalLight.h
HEADERS += kernel/X3DNodes/Lighting/PointLight.h
HEADERS += kernel/X3DNodes/Lighting/SpotLight.h
HEADERS += kernel/X3DNodes/Lighting/X3DLightNode.h
HEADERS += kernel/X3DNodes/NURBS/Contour2D.h
HEADERS += kernel/X3DNodes/NURBS/ContourPolyline2D.h
HEADERS += kernel/X3DNodes/NURBS/NurbsCurve.h
HEADERS += kernel/X3DNodes/NURBS/NurbsCurve2D.h
HEADERS += kernel/X3DNodes/NURBS/NurbsGroup.h
HEADERS += kernel/X3DNodes/NURBS/NurbsPositionInterpolator.h
HEADERS += kernel/X3DNodes/NURBS/NurbsSurface.h
HEADERS += kernel/X3DNodes/NURBS/NurbsTextureSurface.h
HEADERS += kernel/X3DNodes/NURBS/TrimmedSurface.h
HEADERS += kernel/X3DNodes/NURBS/X3DParametricGeometryNode.h
HEADERS += kernel/X3DNodes/Rendering/Color.h
HEADERS += kernel/X3DNodes/Rendering/ColorRGBA.h
HEADERS += kernel/X3DNodes/Rendering/Coordinate.h
HEADERS += kernel/X3DNodes/Rendering/IndexedLineSet.h
HEADERS += kernel/X3DNodes/Rendering/Normal.h
HEADERS += kernel/X3DNodes/Rendering/PointSet.h
HEADERS += kernel/X3DNodes/Rendering/TriangleFanSet.h
HEADERS += kernel/X3DNodes/Rendering/TriangleSet.h
HEADERS += kernel/X3DNodes/Rendering/TriangleStripSet.h
HEADERS += kernel/X3DNodes/Rendering/X3DColorNode.h
HEADERS += kernel/X3DNodes/Rendering/X3DComposedGeometryNode.h
HEADERS += kernel/X3DNodes/Rendering/X3DCoordinateNode.h
HEADERS += kernel/X3DNodes/Rendering/X3DGeometricPropertyNode.h
HEADERS += kernel/X3DNodes/Rendering/X3DGeometry3DNode.h
HEADERS += kernel/X3DNodes/Rendering/X3DGeometryNode.h
HEADERS += kernel/X3DNodes/Rendering/X3DNormalNode.h
HEADERS += kernel/X3DNodes/Shape/Appearance.h
HEADERS += kernel/X3DNodes/Shape/FillProperties.h
HEADERS += kernel/X3DNodes/Shape/LineProperties.h
HEADERS += kernel/X3DNodes/Shape/Material.h
HEADERS += kernel/X3DNodes/Shape/Shape.h
HEADERS += kernel/X3DNodes/Shape/X3DAppearanceChildNode.h
HEADERS += kernel/X3DNodes/Shape/X3DAppearanceNode.h
HEADERS += kernel/X3DNodes/Shape/X3DMaterialNode.h
HEADERS += kernel/X3DNodes/Shape/X3DShapeNode.h
HEADERS += kernel/X3DNodes/Texturing/ImageTexture.h
HEADERS += kernel/X3DNodes/Texturing/TextureCoordinate.h
HEADERS += kernel/X3DNodes/Texturing/X3DTexture2DNode.h
HEADERS += kernel/X3DNodes/Texturing/X3DTextureCoordinateNode.h
HEADERS += kernel/X3DNodes/Texturing/X3DTextureNode.h
HEADERS += kernel/X3DNodes/Texturing/X3DTextureTransformNode.h
HEADERS += kernel/X3DTypes/Bbox.h
HEADERS += kernel/X3DTypes/SFMatrix34f.h
HEADERS += kernel/X3DTypes/SFPoint3f.h
HEADERS += kernel/X3DTypes/SFString.h
HEADERS += kernel/X3DTypes/SFVec3f.h
HEADERS += kernel/X3DTypes/X3DBaseTypes.h
HEADERS += kernel/X3DTypes/X3DGLTypes.h
HEADERS += kernel/X3DTypes/X3DTypes.h
HEADERS += kernel/X3DTypes/X3DTypesToSFString.h
HEADERS += processors/BboxUpdater/BboxUpdater.h
HEADERS += processors/BboxUpdater/BboxUpdaterCoreVisitor.h
HEADERS += processors/BboxUpdater/BboxUpdaterGeometry3DVisitor.h
HEADERS += processors/BboxUpdater/BboxUpdaterGlobalVariables.h
HEADERS += processors/BboxUpdater/BboxUpdaterGroupingVisitor.h
HEADERS += processors/BboxUpdater/BboxUpdaterRenderingVisitor.h
HEADERS += processors/BboxUpdater/BboxUpdaterShapeVisitor.h
HEADERS += processors/GLBuilder/GLBuilder.h
HEADERS += processors/GLBuilder/GLBuilderCoreVisitor.h
HEADERS += processors/GLBuilder/GLBuilderGeometry3DVisitor.h
HEADERS += processors/GLBuilder/GLBuilderGlobalVariables.h
HEADERS += processors/GLBuilder/GLBuilderGroupingVisitor.h
HEADERS += processors/GLBuilder/GLBuilderRenderingVisitor.h
HEADERS += processors/GLBuilder/GLBuilderShapeVisitor.h
HEADERS += processors/GLBuilder/GLBuilderTexturingVisitor.h
HEADERS += processors/GLRenderer/BboxDrawArray.h
HEADERS += processors/GLRenderer/GLBbox.h
HEADERS += processors/GLRenderer/GLRenderer.h
HEADERS += processors/GLRenderer/GLRendererCoreVisitor.h
HEADERS += processors/GLRenderer/GLRendererGlobalVariables.h
HEADERS += processors/GLRenderer/GLRendererGroupingVisitor.h
HEADERS += processors/GLUpdater/GLUpdater.h
HEADERS += processors/GLUpdater/GLUpdaterCoreVisitor.h
HEADERS += processors/GLUpdater/GLUpdaterGlobalVariables.h
HEADERS += processors/MeshBuilder/MeshBuilder.h
HEADERS += processors/SceneSaver/SceneSaver.h
HEADERS += processors/SceneSaver/SceneSaverCoreVisitor.h
HEADERS += processors/SceneSaver/SceneSaverGlobalVariables.h
HEADERS += processors/SimpleX3DGLScene/SimpleX3DGLScene.h
HEADERS += processors/TemplateMeshBuilder/MeshAlgoFunctions.h
HEADERS += processors/TemplateMeshBuilder/MeshCoreVisitor.h
HEADERS += processors/TemplateMeshBuilder/MeshCoreWalker.h
HEADERS += processors/TemplateMeshBuilder/MeshDFS.h
HEADERS += processors/TemplateMeshBuilder/MeshDFSCoreWalker.h
HEADERS += processors/TemplateMeshBuilder/MeshScene.h
HEADERS += processors/TemplateMeshBuilder/MeshTransform.h
HEADERS += processors/TemplateMeshBuilder/MeshTypes.h
HEADERS += processors/TemplateMeshBuilder/TemplateDirectEdge.h
HEADERS += processors/TemplateMeshBuilder/TemplateEdge.h
HEADERS += processors/TemplateMeshBuilder/TemplateEdgeContent.h
HEADERS += processors/TemplateMeshBuilder/TemplateFace.h
HEADERS += processors/TemplateMeshBuilder/TemplateIndirectEdge.h
HEADERS += processors/TemplateMeshBuilder/TemplateMesh.h
HEADERS += processors/TemplateMeshBuilder/TemplateMeshBuilder.h
HEADERS += processors/TemplateMeshBuilder/TemplateMeshBuilderCoreVisitor.h
HEADERS += processors/TemplateMeshBuilder/TemplateMeshBuilderGeometry3DVisitor.h
HEADERS += processors/TemplateMeshBuilder/TemplateMeshBuilderGlobalVariables.h
HEADERS += processors/TemplateMeshBuilder/TemplateMeshBuilderGroupingVisitor.h
HEADERS += processors/TemplateMeshBuilder/TemplateMeshBuilderRenderingVisitor.h
HEADERS += processors/TemplateMeshBuilder/TemplateMeshBuilderShapeVisitor.h
HEADERS += processors/TemplateMeshBuilder/TemplateVertex.h
HEADERS += processors/TemplateMeshBuilder/X3DMeshGroupingNode.h
HEADERS += processors/TemplateMeshBuilder/X3DMeshNode.h
HEADERS += processors/WorldCoordTranslator/WorldCoordTranslator.h
HEADERS += processors/WorldCoordTranslator/WorldCoordTranslatorGlobalVariables.h
HEADERS += processors/WorldCoordTranslator/WorldCoordTranslatorGroupingVisitor.h
HEADERS += processors/WorldCoordTranslator/WorldCoordTranslatorRenderingVisitor.h

SOURCES += kernel/Component/AbstractCreator.cpp
SOURCES += kernel/Component/AbstractVisitor.cpp
SOURCES += kernel/Component/AbstractWalker.cpp
SOURCES += kernel/Component/CoreCreator.cpp
SOURCES += kernel/Component/CoreVisitor.cpp
SOURCES += kernel/Component/CoreWalker.cpp
SOURCES += kernel/Component/DefaultCoreCreator.cpp
SOURCES += kernel/Component/DefaultGeometry3DCreator.cpp
SOURCES += kernel/Component/DefaultGroupingCreator.cpp
SOURCES += kernel/Component/DefaultInterpolationCreator.cpp
SOURCES += kernel/Component/DefaultLightingCreator.cpp
SOURCES += kernel/Component/DefaultNURBSCreator.cpp
SOURCES += kernel/Component/DefaultNodeCreationProxy.cpp
SOURCES += kernel/Component/DefaultRenderingCreator.cpp
SOURCES += kernel/Component/DefaultShapeCreator.cpp
SOURCES += kernel/Component/DefaultTexturingCreator.cpp
SOURCES += kernel/Component/Geometry3DCreator.cpp
SOURCES += kernel/Component/Geometry3DVisitor.cpp
SOURCES += kernel/Component/Geometry3DWalker.cpp
SOURCES += kernel/Component/GroupingCreator.cpp
SOURCES += kernel/Component/GroupingVisitor.cpp
SOURCES += kernel/Component/GroupingWalker.cpp
SOURCES += kernel/Component/InterpolationCreator.cpp
SOURCES += kernel/Component/InterpolationVisitor.cpp
SOURCES += kernel/Component/InterpolationWalker.cpp
SOURCES += kernel/Component/LightingCreator.cpp
SOURCES += kernel/Component/LightingVisitor.cpp
SOURCES += kernel/Component/LightingWalker.cpp
SOURCES += kernel/Component/NURBSCreator.cpp
SOURCES += kernel/Component/NURBSVisitor.cpp
SOURCES += kernel/Component/NURBSWalker.cpp
SOURCES += kernel/Component/RenderingCreator.cpp
SOURCES += kernel/Component/RenderingVisitor.cpp
SOURCES += kernel/Component/RenderingWalker.cpp
SOURCES += kernel/Component/ShapeCreator.cpp
SOURCES += kernel/Component/ShapeVisitor.cpp
SOURCES += kernel/Component/ShapeWalker.cpp
SOURCES += kernel/Component/TexturingCreator.cpp
SOURCES += kernel/Component/TexturingVisitor.cpp
SOURCES += kernel/Component/TexturingWalker.cpp
SOURCES += kernel/FileValidator/FileValidator.cpp
SOURCES += kernel/FileValidator/FileValidatorGeometry3DVisitor.cpp
SOURCES += kernel/FileValidator/FileValidatorGlobalVariables.cpp
SOURCES += kernel/GLComponent/GLCoreVisitor.cpp
SOURCES += kernel/GLComponent/GLCoreWalker.cpp
SOURCES += kernel/GLComponent/GLGeometry3DVisitor.cpp
SOURCES += kernel/GLComponent/GLGeometry3DWalker.cpp
SOURCES += kernel/GLComponent/GLGroupingVisitor.cpp
SOURCES += kernel/GLComponent/GLGroupingWalker.cpp
SOURCES += kernel/GLComponent/GLRenderingVisitor.cpp
SOURCES += kernel/GLComponent/GLRenderingWalker.cpp
SOURCES += kernel/GLComponent/GLShapeVisitor.cpp
SOURCES += kernel/GLComponent/GLShapeWalker.cpp
SOURCES += kernel/GLComponent/GLTexturingVisitor.cpp
SOURCES += kernel/GLComponent/GLTexturingWalker.cpp
SOURCES += kernel/Image/Image.cpp
SOURCES += kernel/Image/JPGImageType.cpp
SOURCES += kernel/Image/X3DImageType.cpp
SOURCES += kernel/Loader/DefaultLoader.cpp
SOURCES += kernel/Loader/X3DLoader.cpp
SOURCES += kernel/Loader/XercesLoader.cpp
SOURCES += kernel/MemReleaser/MemReleaser.cpp
SOURCES += kernel/MemReleaser/MemReleaserAbstractVisitor.cpp
SOURCES += kernel/MemReleaser/MemReleaserGlobalVariables.cpp
SOURCES += kernel/NodeProxy/CreationFunction.cpp
SOURCES += kernel/NodeProxy/EnterFunction.cpp
SOURCES += kernel/NodeProxy/LeaveFunction.cpp
SOURCES += kernel/NodeProxy/NodeCreationProxy.cpp
SOURCES += kernel/NodeProxy/NodeVisitingProxy.cpp
SOURCES += kernel/NodeProxy/NodeWalkingProxy.cpp
SOURCES += kernel/NodeProxy/Type/Component.cpp
SOURCES += kernel/NodeProxy/Type/Type.cpp
SOURCES += kernel/NodeProxy/VisitingFunctions.cpp
SOURCES += kernel/NodeProxy/WalkOnFunction.cpp
SOURCES += kernel/NodeProxy/WalkingFunction.cpp
SOURCES += kernel/NodeProxy/X3DAbstractNode/NameDict.cpp
SOURCES += kernel/NodeProxy/X3DAbstractNode/X3DAbstractNode.cpp
SOURCES += kernel/NodeProxy/X3DActiveFunction.cpp
SOURCES += kernel/NodeProxy/X3DComponent/X3DComponent.cpp
SOURCES += kernel/NodeProxy/X3DComponent/X3DComponentCreator.cpp
SOURCES += kernel/NodeProxy/X3DComponent/X3DComponentVisitor.cpp
SOURCES += kernel/NodeProxy/X3DComponent/X3DComponentWalker.cpp
SOURCES += kernel/NodeProxy/X3DFunction.cpp
SOURCES += kernel/NodeProxy/X3DNodeProxy.cpp
SOURCES += kernel/TTAlgorithm/DFS.cpp
SOURCES += kernel/TTAlgorithm/DFSCoreWalker.cpp
SOURCES += kernel/TTAlgorithm/DFSGeometry3DWalker.cpp
SOURCES += kernel/TTAlgorithm/DFSGroupingWalker.cpp
SOURCES += kernel/TTAlgorithm/DFSInterpolationWalker.cpp
SOURCES += kernel/TTAlgorithm/DFSLightingWalker.cpp
SOURCES += kernel/TTAlgorithm/DFSNURBSWalker.cpp
SOURCES += kernel/TTAlgorithm/DFSRenderingWalker.cpp
SOURCES += kernel/TTAlgorithm/DFSShapeWalker.cpp
SOURCES += kernel/TTAlgorithm/DFSTexturingWalker.cpp
SOURCES += kernel/TTAlgorithm/DefaultDFS.cpp
SOURCES += kernel/TTAlgorithm/DefaultDFSCoreWalker.cpp
SOURCES += kernel/TTAlgorithm/DefaultDFSGeometry3DWalker.cpp
SOURCES += kernel/TTAlgorithm/DefaultDFSGroupingWalker.cpp
SOURCES += kernel/TTAlgorithm/DefaultDFSInterpolationWalker.cpp
SOURCES += kernel/TTAlgorithm/DefaultDFSLightingWalker.cpp
SOURCES += kernel/TTAlgorithm/DefaultDFSNURBSWalker.cpp
SOURCES += kernel/TTAlgorithm/DefaultDFSRenderingWalker.cpp
SOURCES += kernel/TTAlgorithm/DefaultDFSShapeWalker.cpp
SOURCES += kernel/TTAlgorithm/DefaultDFSTexturingWalker.cpp
SOURCES += kernel/TTAlgorithm/DefaultX3DProcessors/X3DBboxUpdater.cpp
SOURCES += kernel/TTAlgorithm/DefaultX3DProcessors/X3DFileValidator.cpp
SOURCES += kernel/TTAlgorithm/DefaultX3DProcessors/X3DGLBuilder.cpp
SOURCES += kernel/TTAlgorithm/DefaultX3DProcessors/X3DGLRenderer.cpp
SOURCES += kernel/TTAlgorithm/DefaultX3DProcessors/X3DGLUpdater.cpp
SOURCES += kernel/TTAlgorithm/DefaultX3DProcessors/X3DMemReleaser.cpp
SOURCES += kernel/TTAlgorithm/DefaultX3DProcessors/X3DSceneSaver.cpp
SOURCES += kernel/TTAlgorithm/GLDFS.cpp
SOURCES += kernel/TTAlgorithm/GLDFSCoreWalker.cpp
SOURCES += kernel/TTAlgorithm/GLDFSGeometry3DWalker.cpp
SOURCES += kernel/TTAlgorithm/GLDFSGroupingWalker.cpp
SOURCES += kernel/TTAlgorithm/GLDFSRenderingWalker.cpp
SOURCES += kernel/TTAlgorithm/GLDFSShapeWalker.cpp
SOURCES += kernel/TTAlgorithm/GLDFSTexturingWalker.cpp
SOURCES += kernel/TTAlgorithm/GLDefaultDFS.cpp
SOURCES += kernel/TTAlgorithm/GLDefaultDFSCoreWalker.cpp
SOURCES += kernel/TTAlgorithm/GLDefaultDFSGeometry3DWalker.cpp
SOURCES += kernel/TTAlgorithm/GLDefaultDFSGroupingWalker.cpp
SOURCES += kernel/TTAlgorithm/GLDefaultDFSRenderingWalker.cpp
SOURCES += kernel/TTAlgorithm/GLDefaultDFSShapeWalker.cpp
SOURCES += kernel/TTAlgorithm/GLDefaultDFSTexturingWalker.cpp
SOURCES += kernel/TTAlgorithm/GVManager.cpp
SOURCES += kernel/TTAlgorithm/GlobalVariables.cpp
SOURCES += kernel/TTAlgorithm/X3DOnePassProcessor.cpp
SOURCES += kernel/TTAlgorithm/X3DProcessor.cpp
SOURCES += kernel/TTAlgorithm/X3DTTAlgorithm.cpp
SOURCES += kernel/X3DGLNodes/GLCore/GLScene.cpp
SOURCES += kernel/X3DGLNodes/GLCore/X3DGLNode.cpp
SOURCES += kernel/X3DGLNodes/GLGeometry3D/BoxDrawArray.cpp
SOURCES += kernel/X3DGLNodes/GLGeometry3D/ConeDrawArray.cpp
SOURCES += kernel/X3DGLNodes/GLGeometry3D/CylinderDrawArray.cpp
SOURCES += kernel/X3DGLNodes/GLGeometry3D/GLBox.cpp
SOURCES += kernel/X3DGLNodes/GLGeometry3D/GLCone.cpp
SOURCES += kernel/X3DGLNodes/GLGeometry3D/GLCylinder.cpp
SOURCES += kernel/X3DGLNodes/GLGeometry3D/GLIndexedFaceSet.cpp
SOURCES += kernel/X3DGLNodes/GLGeometry3D/GLSphere.cpp
SOURCES += kernel/X3DGLNodes/GLGeometry3D/SphereDrawArray.cpp
SOURCES += kernel/X3DGLNodes/GLGrouping/GLGroup.cpp
SOURCES += kernel/X3DGLNodes/GLGrouping/GLStaticGroup.cpp
SOURCES += kernel/X3DGLNodes/GLGrouping/GLTransform.cpp
SOURCES += kernel/X3DGLNodes/GLGrouping/X3DGLChildNode.cpp
SOURCES += kernel/X3DGLNodes/GLGrouping/X3DGLGroupingNode.cpp
SOURCES += kernel/X3DGLNodes/GLRendering/GLIndexedLineSet.cpp
SOURCES += kernel/X3DGLNodes/GLRendering/GLPointSet.cpp
SOURCES += kernel/X3DGLNodes/GLRendering/GLTriangleFanSet.cpp
SOURCES += kernel/X3DGLNodes/GLRendering/GLTriangleSet.cpp
SOURCES += kernel/X3DGLNodes/GLRendering/GLTriangleStripSet.cpp
SOURCES += kernel/X3DGLNodes/GLRendering/X3DGLComposedGeometryNode.cpp
SOURCES += kernel/X3DGLNodes/GLRendering/X3DGLGeometry3DNode.cpp
SOURCES += kernel/X3DGLNodes/GLRendering/X3DGLGeometryNode.cpp
SOURCES += kernel/X3DGLNodes/GLShape/GLAppearance.cpp
SOURCES += kernel/X3DGLNodes/GLShape/GLFillProperties.cpp
SOURCES += kernel/X3DGLNodes/GLShape/GLLineProperties.cpp
SOURCES += kernel/X3DGLNodes/GLShape/GLMaterial.cpp
SOURCES += kernel/X3DGLNodes/GLShape/GLShape.cpp
SOURCES += kernel/X3DGLNodes/GLShape/X3DGLAppearanceChildNode.cpp
SOURCES += kernel/X3DGLNodes/GLShape/X3DGLAppearanceNode.cpp
SOURCES += kernel/X3DGLNodes/GLShape/X3DGLMaterialNode.cpp
SOURCES += kernel/X3DGLNodes/GLShape/X3DGLShapeNode.cpp
SOURCES += kernel/X3DGLNodes/GLTexturing/GLImageTexture.cpp
SOURCES += kernel/X3DGLNodes/GLTexturing/X3DGLTexture2DNode.cpp
SOURCES += kernel/X3DGLNodes/GLTexturing/X3DGLTextureNode.cpp
SOURCES += kernel/X3DGLNodes/GLTexturing/X3DGLTextureTransformNode.cpp
SOURCES += kernel/X3DNodes/Core/Scene.cpp
SOURCES += kernel/X3DNodes/Core/X3DNode.cpp
SOURCES += kernel/X3DNodes/Core/X3DObject.cpp
SOURCES += kernel/X3DNodes/FileElement/X3DFileElement.cpp
SOURCES += kernel/X3DNodes/FileElement/XercesFileElement.cpp
SOURCES += kernel/X3DNodes/Geometry3D/Box.cpp
SOURCES += kernel/X3DNodes/Geometry3D/Cone.cpp
SOURCES += kernel/X3DNodes/Geometry3D/Cylinder.cpp
SOURCES += kernel/X3DNodes/Geometry3D/IndexedFaceSet.cpp
SOURCES += kernel/X3DNodes/Geometry3D/Sphere.cpp
SOURCES += kernel/X3DNodes/Grouping/Group.cpp
SOURCES += kernel/X3DNodes/Grouping/StaticGroup.cpp
SOURCES += kernel/X3DNodes/Grouping/Transform.cpp
SOURCES += kernel/X3DNodes/Grouping/X3DBoundedObject.cpp
SOURCES += kernel/X3DNodes/Grouping/X3DChildNode.cpp
SOURCES += kernel/X3DNodes/Grouping/X3DGroupingNode.cpp
SOURCES += kernel/X3DNodes/Interpolation/ColorInterpolator.cpp
SOURCES += kernel/X3DNodes/Interpolation/CoordinateInterpolator.cpp
SOURCES += kernel/X3DNodes/Interpolation/CoordinateInterpolator2D.cpp
SOURCES += kernel/X3DNodes/Interpolation/NormalInterpolator.cpp
SOURCES += kernel/X3DNodes/Interpolation/OrientationInterpolator.cpp
SOURCES += kernel/X3DNodes/Interpolation/PositionInterpolator.cpp
SOURCES += kernel/X3DNodes/Interpolation/PositionInterpolator2D.cpp
SOURCES += kernel/X3DNodes/Interpolation/ScalarInterpolator.cpp
SOURCES += kernel/X3DNodes/Interpolation/X3DInterpolatorNode.cpp
SOURCES += kernel/X3DNodes/Lighting/DirectionalLight.cpp
SOURCES += kernel/X3DNodes/Lighting/PointLight.cpp
SOURCES += kernel/X3DNodes/Lighting/SpotLight.cpp
SOURCES += kernel/X3DNodes/Lighting/X3DLightNode.cpp
SOURCES += kernel/X3DNodes/NURBS/Contour2D.cpp
SOURCES += kernel/X3DNodes/NURBS/ContourPolyline2D.cpp
SOURCES += kernel/X3DNodes/NURBS/NurbsCurve.cpp
SOURCES += kernel/X3DNodes/NURBS/NurbsCurve2D.cpp
SOURCES += kernel/X3DNodes/NURBS/NurbsGroup.cpp
SOURCES += kernel/X3DNodes/NURBS/NurbsPositionInterpolator.cpp
SOURCES += kernel/X3DNodes/NURBS/NurbsSurface.cpp
SOURCES += kernel/X3DNodes/NURBS/NurbsTextureSurface.cpp
SOURCES += kernel/X3DNodes/NURBS/TrimmedSurface.cpp
SOURCES += kernel/X3DNodes/NURBS/X3DParametricGeometryNode.cpp
SOURCES += kernel/X3DNodes/Rendering/Color.cpp
SOURCES += kernel/X3DNodes/Rendering/ColorRGBA.cpp
SOURCES += kernel/X3DNodes/Rendering/Coordinate.cpp
SOURCES += kernel/X3DNodes/Rendering/IndexedLineSet.cpp
SOURCES += kernel/X3DNodes/Rendering/Normal.cpp
SOURCES += kernel/X3DNodes/Rendering/PointSet.cpp
SOURCES += kernel/X3DNodes/Rendering/TriangleFanSet.cpp
SOURCES += kernel/X3DNodes/Rendering/TriangleSet.cpp
SOURCES += kernel/X3DNodes/Rendering/TriangleStripSet.cpp
SOURCES += kernel/X3DNodes/Rendering/X3DColorNode.cpp
SOURCES += kernel/X3DNodes/Rendering/X3DComposedGeometryNode.cpp
SOURCES += kernel/X3DNodes/Rendering/X3DCoordinateNode.cpp
SOURCES += kernel/X3DNodes/Rendering/X3DGeometricPropertyNode.cpp
SOURCES += kernel/X3DNodes/Rendering/X3DGeometry3DNode.cpp
SOURCES += kernel/X3DNodes/Rendering/X3DGeometryNode.cpp
SOURCES += kernel/X3DNodes/Rendering/X3DNormalNode.cpp
SOURCES += kernel/X3DNodes/Shape/Appearance.cpp
SOURCES += kernel/X3DNodes/Shape/FillProperties.cpp
SOURCES += kernel/X3DNodes/Shape/LineProperties.cpp
SOURCES += kernel/X3DNodes/Shape/Material.cpp
SOURCES += kernel/X3DNodes/Shape/Shape.cpp
SOURCES += kernel/X3DNodes/Shape/X3DAppearanceChildNode.cpp
SOURCES += kernel/X3DNodes/Shape/X3DAppearanceNode.cpp
SOURCES += kernel/X3DNodes/Shape/X3DMaterialNode.cpp
SOURCES += kernel/X3DNodes/Shape/X3DShapeNode.cpp
SOURCES += kernel/X3DNodes/Texturing/ImageTexture.cpp
SOURCES += kernel/X3DNodes/Texturing/TextureCoordinate.cpp
SOURCES += kernel/X3DNodes/Texturing/X3DTexture2DNode.cpp
SOURCES += kernel/X3DNodes/Texturing/X3DTextureCoordinateNode.cpp
SOURCES += kernel/X3DNodes/Texturing/X3DTextureNode.cpp
SOURCES += kernel/X3DNodes/Texturing/X3DTextureTransformNode.cpp
SOURCES += kernel/X3DTypes/Bbox.cpp
SOURCES += kernel/X3DTypes/SFMatrix34f.cpp
SOURCES += kernel/X3DTypes/SFPoint3f.cpp
SOURCES += kernel/X3DTypes/SFString.cpp
SOURCES += kernel/X3DTypes/SFVec3f.cpp
SOURCES += kernel/X3DTypes/X3DBaseTypes.cpp
SOURCES += kernel/X3DTypes/X3DTypesToSFString.cpp
SOURCES += processors/BboxUpdater/BboxUpdater.cpp
SOURCES += processors/BboxUpdater/BboxUpdaterCoreVisitor.cpp
SOURCES += processors/BboxUpdater/BboxUpdaterGeometry3DVisitor.cpp
SOURCES += processors/BboxUpdater/BboxUpdaterGlobalVariables.cpp
SOURCES += processors/BboxUpdater/BboxUpdaterGroupingVisitor.cpp
SOURCES += processors/BboxUpdater/BboxUpdaterRenderingVisitor.cpp
SOURCES += processors/BboxUpdater/BboxUpdaterShapeVisitor.cpp
SOURCES += processors/GLBuilder/GLBuilder.cpp
SOURCES += processors/GLBuilder/GLBuilderCoreVisitor.cpp
SOURCES += processors/GLBuilder/GLBuilderGeometry3DVisitor.cpp
SOURCES += processors/GLBuilder/GLBuilderGlobalVariables.cpp
SOURCES += processors/GLBuilder/GLBuilderGroupingVisitor.cpp
SOURCES += processors/GLBuilder/GLBuilderRenderingVisitor.cpp
SOURCES += processors/GLBuilder/GLBuilderShapeVisitor.cpp
SOURCES += processors/GLBuilder/GLBuilderTexturingVisitor.cpp
SOURCES += processors/GLRenderer/BboxDrawArray.cpp
SOURCES += processors/GLRenderer/GLBbox.cpp
SOURCES += processors/GLRenderer/GLRenderer.cpp
SOURCES += processors/GLRenderer/GLRendererCoreVisitor.cpp
SOURCES += processors/GLRenderer/GLRendererGlobalVariables.cpp
SOURCES += processors/GLRenderer/GLRendererGroupingVisitor.cpp
SOURCES += processors/GLUpdater/GLUpdater.cpp
SOURCES += processors/GLUpdater/GLUpdaterCoreVisitor.cpp
SOURCES += processors/GLUpdater/GLUpdaterGlobalVariables.cpp
SOURCES += processors/MeshBuilder/MeshBuilder.cpp
SOURCES += processors/SceneSaver/SceneSaver.cpp
SOURCES += processors/SceneSaver/SceneSaverCoreVisitor.cpp
SOURCES += processors/SceneSaver/SceneSaverGlobalVariables.cpp
SOURCES += processors/SimpleX3DGLScene/SimpleX3DGLScene.cpp
SOURCES += processors/TemplateMeshBuilder/MeshCoreVisitor.cpp
SOURCES += processors/TemplateMeshBuilder/MeshCoreWalker.cpp
SOURCES += processors/TemplateMeshBuilder/MeshDFS.cpp
SOURCES += processors/TemplateMeshBuilder/MeshDFSCoreWalker.cpp
SOURCES += processors/TemplateMeshBuilder/MeshScene.cpp
SOURCES += processors/TemplateMeshBuilder/MeshTransform.cpp
SOURCES += processors/TemplateMeshBuilder/TemplateMeshBuilderCoreVisitor.cpp
SOURCES += processors/TemplateMeshBuilder/TemplateMeshBuilderGlobalVariables.cpp
SOURCES += processors/TemplateMeshBuilder/TemplateMeshBuilderGroupingVisitor.cpp
SOURCES += processors/TemplateMeshBuilder/TemplateMeshBuilderRenderingVisitor.cpp
SOURCES += processors/TemplateMeshBuilder/TemplateMeshBuilderShapeVisitor.cpp
SOURCES += processors/TemplateMeshBuilder/X3DMeshGroupingNode.cpp
SOURCES += processors/TemplateMeshBuilder/X3DMeshNode.cpp
SOURCES += processors/WorldCoordTranslator/WorldCoordTranslator.cpp
SOURCES += processors/WorldCoordTranslator/WorldCoordTranslatorGlobalVariables.cpp
SOURCES += processors/WorldCoordTranslator/WorldCoordTranslatorGroupingVisitor.cpp
SOURCES += processors/WorldCoordTranslator/WorldCoordTranslatorRenderingVisitor.cpp
